Title / Description
Code def initializeModelFaces $modelFaces = [] ## find faces in model faceCount = 0 for entity in Sketchup.active_model.entities if (!entity.instance_of?(Sketchup::Face)) next end $modelFaces << entity faceCount += 1 end faces = 0 dictcount = 0 for modelFace in $modelFaces innerFaces = [] $cMethods.addInnerLoopFaces(modelFace,innerFaces) $innerLoopFacesHash[modelFace.to_s] = innerFaces if (modelFace.attribute_dictionary("FaceDict")) if (modelFace.get_attribute("FaceDict","ShadingSurface") == true) $shadingInstanceFaces << modelFace end if (modelFace.attribute_dictionary("ExplodedInstanceFace")) if (modelFace.get_attribute("ExplodedInstanceFace","value") == true) $explodedInstanceFaces << modelFace end end end end ## links for IESmodule $modelFaces2 = $modelFaces $innerLoopFacesHash2 = $innerLoopFacesHash $class_Opening = IESVE_Opening end
Author
Highlight as C C++ CSS Clojure Delphi ERb Groovy (beta) HAML HTML JSON Java JavaScript PHP Plain text Python Ruby SQL XML YAML diff code